/*****************************************************************************

\file misra_17_04_off.h
\brief <b>Turn MISRA warnings 17.4 off</b>

\remark
  - Version for IAR EW for Renesas RL78 1.30
  - No doxygen commands allowed with doxygen 1.8.7

*//***************************************************************************

History:
2014-07-16  HaSchm
- Initial revision

*****************************************************************************/


#ifdef __IAR_SYSTEMS_ICC__
  /* Error[Pm088]: pointer arithmetic should not be used (MISRA C 2004 rule 17.4)
     Error[Pm152]: array indexing shall only be applied to objects defined as
     an array type (MISRA C 2004 rule 17.4)
      */
  #pragma diag_suppress=Pm088,Pm152,Pm077
#endif


/* eof misra_*_off.h */
